(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     10660,        324]
NotebookOptionsPosition[      9802,        291]
NotebookOutlinePosition[     10140,        306]
CellTagsIndexPosition[     10097,        303]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"p", ",", "t"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"T", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
      RowBox[{"-", 
       RowBox[{"Sin", "[", "t", "]"}]}], ",", " ", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Sin", "[", "t", "]"}], ",", " ", 
      RowBox[{"Cos", "[", "t", "]"}], ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", " ", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"P", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Cos", "[", "p", "]"}], ",", " ", "0", ",", " ", 
      RowBox[{"-", 
       RowBox[{"Sin", "[", "p", "]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Sin", "[", "p", "]"}], ",", " ", "0", " ", ",", " ", 
      RowBox[{"Cos", "[", "p", "]"}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{"P", ".", "T"}], "]"}], " ", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.510658234814023*^9, 3.51065830294125*^9}, {
  3.510658332950055*^9, 3.510658395980873*^9}, {3.510658475830167*^9, 
  3.510658480864227*^9}, {3.510658573675443*^9, 3.510658579053074*^9}, {
  3.510658678094505*^9, 3.510658722127105*^9}, {3.510658772342776*^9, 
  3.510658801051383*^9}, {3.510660240675563*^9, 3.510660251868185*^9}, {
  3.510661223591889*^9, 3.510661226899563*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Cos", "[", "t", "]"}], ",", 
     RowBox[{"-", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"Cos", "[", "t", "]"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.51065830393007*^9, {3.510658362668252*^9, 3.510658396505763*^9}, 
   3.510658483401388*^9, 3.510658723030267*^9, {3.51065877481073*^9, 
   3.510658801779063*^9}, 3.510660244315199*^9, 3.510661227462198*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Cos", "[", "p", "]"}], ",", "0", ",", 
     RowBox[{"-", 
      RowBox[{"Sin", "[", "p", "]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "p", "]"}], ",", "0", ",", 
     RowBox[{"Cos", "[", "p", "]"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.51065830393007*^9, {3.510658362668252*^9, 3.510658396505763*^9}, 
   3.510658483401388*^9, 3.510658723030267*^9, {3.51065877481073*^9, 
   3.510658801779063*^9}, 3.510660244315199*^9, 3.510661227464078*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"Cos", "[", "p", "]"}], " ", 
       RowBox[{"Cos", "[", "t", "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Cos", "[", "p", "]"}]}], " ", 
       RowBox[{"Sin", "[", "t", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Sin", "[", "p", "]"}]}]},
     {
      RowBox[{"Sin", "[", "t", "]"}], 
      RowBox[{"Cos", "[", "t", "]"}], "0"},
     {
      RowBox[{
       RowBox[{"Cos", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", "p", "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sin", "[", "p", "]"}]}], " ", 
       RowBox[{"Sin", "[", "t", "]"}]}], 
      RowBox[{"Cos", "[", "p", "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.51065830393007*^9, {3.510658362668252*^9, 3.510658396505763*^9}, 
   3.510658483401388*^9, 3.510658723030267*^9, {3.51065877481073*^9, 
   3.510658801779063*^9}, 3.510660244315199*^9, 3.510661227466633*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"Cos", "[", 
   RowBox[{"ArcTan", "[", 
    RowBox[{"a", ",", "b"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.510658747480158*^9, 3.510658756616366*^9}, {
  3.510658811366404*^9, 3.510658829070046*^9}}],

Cell[BoxData[
 RowBox[{"Cos", "[", 
  RowBox[{"ArcTan", "[", 
   RowBox[{"a", ",", "b"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.510658900606633*^9, 3.510658913430178*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Cos", "[", 
   RowBox[{"ArcTan", "[", 
    RowBox[{"a", ",", "b"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.510659398979879*^9, 3.510659402320628*^9}, {
  3.510659446289179*^9, 3.510659448819747*^9}}],

Cell[BoxData[
 RowBox[{"Cos", "[", 
  RowBox[{"ArcTan", "[", 
   RowBox[{"a", ",", "b"}], "]"}], "]"}]], "Output",
 CellChangeTimes->{3.510659402875098*^9, 3.510659450046474*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"a_", ",", " ", "b_", ",", " ", "c_"}], "]"}], " ", ":=", "  ", 
  RowBox[{
   RowBox[{"Caa", " ", 
    SuperscriptBox["a", "2"]}], " ", "+", " ", 
   RowBox[{"Cbb", " ", 
    SuperscriptBox["b", "2"]}], " ", "+", " ", 
   RowBox[{"Ccc", " ", 
    SuperscriptBox["c", "2"]}], " ", "+", " ", 
   RowBox[{"Ca", " ", "a"}], " ", "+", " ", 
   RowBox[{"Cb", " ", "b"}], " ", "+", " ", 
   RowBox[{"Cc", " ", "c"}], " ", "+", " ", 
   RowBox[{"Cab", " ", "a", " ", "b"}], " ", "+", " ", 
   RowBox[{"Cac", " ", "a", " ", "c"}], " ", "+", " ", 
   RowBox[{"Cbc", " ", "b", " ", "c"}]}]}]], "Input",
 CellChangeTimes->{{3.510667119776914*^9, 3.510667193252762*^9}, {
  3.510667376657677*^9, 3.510667378099739*^9}, {3.510667419210563*^9, 
  3.51066744769625*^9}, {3.51066750203006*^9, 3.510667502901565*^9}, {
  3.510668057991293*^9, 3.510668118392809*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"a", ",", "b", ",", "c"}], "]"}], ",", " ", "a"}], "]"}], 
       "\[Equal]", "0"}], ",", " ", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"a", ",", "b", ",", "c"}], "]"}], ",", " ", "b"}], "]"}], 
       "\[Equal]", "0"}], ",", " ", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"a", ",", "b", ",", "c"}], "]"}], ",", " ", "c"}], "]"}], 
       "\[Equal]", "0"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}], "//", 
  "InputForm"}]], "Input",
 CellChangeTimes->{{3.510667195482967*^9, 3.510667275260983*^9}, {
  3.510668137866811*^9, 3.510668140103794*^9}}],

Cell["\<\
{{a -> -(-(Cac*Cb*Cbc) + Ca*Cbc^2 + 2*Cac*Cbb*Cc - Cab*Cbc*Cc + 
      2*Cab*Cb*Ccc - 4*Ca*Cbb*Ccc)/(2*(Cac^2*Cbb - Cab*Cac*Cbc + Caa*Cbc^2 + 
      Cab^2*Ccc - 4*Caa*Cbb*Ccc)), 
  b -> -(Cac^2*Cb - Ca*Cac*Cbc - Cab*Cac*Cc + 2*Caa*Cbc*Cc + 2*Ca*Cab*Ccc - 
      4*Caa*Cb*Ccc)/(2*(Cac^2*Cbb - Cab*Cac*Cbc + Caa*Cbc^2 + Cab^2*Ccc - 
      4*Caa*Cbb*Ccc)), 
  c -> -(-(Cab*Cac*Cb) + 2*Ca*Cac*Cbb - Ca*Cab*Cbc + 2*Caa*Cb*Cbc + 
      Cab^2*Cc - 4*Caa*Cbb*Cc)/(2*(Cac^2*Cbb - Cab*Cac*Cbc + Caa*Cbc^2 + 
      Cab^2*Ccc - 4*Caa*Cbb*Ccc))}}\
\>", "Output",
 CellChangeTimes->{{3.510667199657308*^9, 3.51066722181054*^9}, {
   3.51066726476124*^9, 3.510667275733676*^9}, 3.510667455681478*^9, {
   3.510668124138106*^9, 3.510668141021647*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"a", " ", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"b", " ", "x", " ", "y"}], " ", "+", " ", 
     RowBox[{"c", " ", 
      SuperscriptBox["y", "2"]}], " ", "-", " ", "z"}], ")"}], "2"], 
  "]"}]], "Input",
 CellChangeTimes->{{3.510667510668034*^9, 3.510667513534587*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["a", "2"], " ", 
   SuperscriptBox["x", "4"]}], "+", 
  RowBox[{"2", " ", "a", " ", "b", " ", 
   SuperscriptBox["x", "3"], " ", "y"}], "+", 
  RowBox[{
   SuperscriptBox["b", "2"], " ", 
   SuperscriptBox["x", "2"], " ", 
   SuperscriptBox["y", "2"]}], "+", 
  RowBox[{"2", " ", "a", " ", "c", " ", 
   SuperscriptBox["x", "2"], " ", 
   SuperscriptBox["y", "2"]}], "+", 
  RowBox[{"2", " ", "b", " ", "c", " ", "x", " ", 
   SuperscriptBox["y", "3"]}], "+", 
  RowBox[{
   SuperscriptBox["c", "2"], " ", 
   SuperscriptBox["y", "4"]}], "-", 
  RowBox[{"2", " ", "a", " ", 
   SuperscriptBox["x", "2"], " ", "z"}], "-", 
  RowBox[{"2", " ", "b", " ", "x", " ", "y", " ", "z"}], "-", 
  RowBox[{"2", " ", "c", " ", 
   SuperscriptBox["y", "2"], " ", "z"}], "+", 
  SuperscriptBox["z", "2"]}]], "Output",
 CellChangeTimes->{3.510667513888397*^9}]
}, Open  ]]
},
WindowSize->{740, 575},
WindowMargins->{{150, Automatic}, {Automatic, 52}},
FrontEndVersion->"8.0 for Linux x86 (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 1590, 41, 88, "Input"],
Cell[2172, 65, 645, 17, 30, "Output"],
Cell[2820, 84, 645, 17, 30, "Output"],
Cell[3468, 103, 1443, 41, 76, "Output"]
}, Open  ]],
Cell[4926, 147, 263, 6, 30, "Input"],
Cell[5192, 155, 179, 4, 30, InheritFromParent],
Cell[CellGroupData[{
Cell[5396, 163, 269, 6, 30, InheritFromParent],
Cell[5668, 171, 178, 4, 30, "Output"]
}, Open  ]],
Cell[5861, 178, 905, 20, 50, "Input"],
Cell[CellGroupData[{
Cell[6791, 202, 924, 28, 50, "Input"],
Cell[7718, 232, 745, 13, 171, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8500, 250, 385, 11, 36, "Input"],
Cell[8888, 263, 898, 25, 50, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

